Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 152)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 167)
@@ -5863,5 +854,9 @@
 			};
 		};
+		cppStopOnCatchEnabled = 0;
+		cppStopOnThrowEnabled = 0;
+		customDataFormattersEnabled = 1;
 		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
 		dylibVariantSuffix = "";
 		enableDebugStr = 1;
@@ -5875,4 +870,5 @@
 		isa = PBXExecutable;
 		launchableReference = E1317A3603DF242100050002;
+		libgmallocEnabled = 0;
 		name = "System Preferences";
 		shlibInfoDictList = (
@@ -5882,8 +878,10 @@
 	};
 	E1317A3603DF242100050002 = {
-		isa = PBXApplicationReference;
+		isa = PBXFileReference;
+		lastKnownFileType = wrapper.application;
 		name = "System Preferences.app";
 		path = "/Applications/System Preferences.app";
 		refType = 0;
+		sourceTree = "<absolute>";
 	};
 	E1317A3703DF244600050002 = {
@@ -5896,4 +894,12 @@
 		state = 2;
 		symbolName = _NSAutoreleaseNoPool;
+	};
+	E1317B2F03DFC4DE00050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {621, 5687}}";
+			sepNavSelRange = "{12497, 0}";
+			sepNavVisRect = "{{0, 4344}, {621, 155}}";
+			sepNavWindowFrame = "{{84, 262}, {750, 502}}";
+		};
 	};
 	E1317B3203DFC56300050002 = {
@@ -5907,4 +913,12 @@
 		vrLoc = 0;
 	};
+	E135625E03DC9FC200050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {735, 695}}";
+			sepNavSelRange = "{1773, 0}";
+			sepNavVisRect = "{{0, 231}, {735, 464}}";
+			sepNavWindowFrame = "{{84, 176}, {750, 502}}";
+		};
+	};
 	E136EA9603E3A1AD00050002 = {
 		fRef = E1317B2F03DFC4DE00050002;
@@ -5935,5 +949,9 @@
 		configStateDict = {
 		};
+		cppStopOnCatchEnabled = 0;
+		cppStopOnThrowEnabled = 0;
+		customDataFormattersEnabled = 1;
 		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
 		dylibVariantSuffix = "";
 		enableDebugStr = 1;
@@ -5947,4 +965,5 @@
 		isa = PBXExecutable;
 		launchableReference = E136EAA203E42F7500050002;
+		libgmallocEnabled = 0;
 		name = Terminal;
 		shlibInfoDictList = (
@@ -5954,8 +973,10 @@
 	};
 	E136EAA203E42F7500050002 = {
-		isa = PBXApplicationReference;
+		isa = PBXFileReference;
+		lastKnownFileType = wrapper.application;
 		name = Terminal.app;
 		path = /Applications/Utilities/Terminal.app;
 		refType = 0;
+		sourceTree = "<absolute>";
 	};
 	E136EAA303E436C500050002 = {
@@ -5975,179 +996,41 @@
 		state = 1;
 	};
-	E1373453041FE49500050002 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: 10";
-		rLen = 0;
-		rLoc = 185;
-		rType = 0;
-		vrLen = 1308;
-		vrLoc = 0;
-	};
-	E140B69E0495B20E00AEFBF9 = {
-		fRef = F9A6987103BE1DFF00AA4DA5;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEController.m: servicesInMenuBar:";
-		rLen = 0;
-		rLoc = 4716;
-		rType = 0;
-		vrLen = 1453;
-		vrLoc = 3995;
-	};
-	E140B69F0495B20E00AEFBF9 = {
-		fRef = E12FEC3E04959F5A00AEFBF9;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEServicePrefController.h: 26";
-		rLen = 0;
-		rLoc = 559;
-		rType = 0;
-		vrLen = 559;
-		vrLoc = 0;
-	};
-	E140B6A00495B20E00AEFBF9 = {
-		fRef = E14343B403DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.m: ICCF_ErrString";
-		rLen = 0;
-		rLoc = 913;
-		rType = 0;
-		vrLen = 1614;
-		vrLoc = 6328;
-	};
-	E140B6A10495B20E00AEFBF9 = {
-		fRef = E140B6AB0495B20E00AEFBF9;
-		isa = PBXTextBookmark;
-		name = "NSApplication.h: 116";
-		rLen = 0;
-		rLoc = 3646;
-		rType = 0;
-		vrLen = 1911;
-		vrLoc = 4651;
-	};
-	E140B6A20495B20E00AEFBF9 = {
-		fRef = E12FEC3D04959F5A00AEFBF9;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEServicePrefController.m: hideAll:";
-		rLen = 0;
-		rLoc = 6580;
-		rType = 0;
-		vrLen = 1491;
-		vrLoc = 6296;
-	};
-	E140B6A30495B20E00AEFBF9 = {
-		fRef = E182C8F603DE817F00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.m: 16";
-		rLen = 0;
-		rLoc = 362;
-		rType = 0;
-		vrLen = 2124;
-		vrLoc = 0;
-	};
-	E140B6A40495B20E00AEFBF9 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: ICCF_DEBUG";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 1576;
-		vrLoc = 219;
-	};
-	E140B6A50495B20E00AEFBF9 = {
-		fRef = F9A6987103BE1DFF00AA4DA5;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEController.m: servicesInMenuBar:";
-		rLen = 0;
-		rLoc = 4716;
-		rType = 0;
-		vrLen = 1453;
-		vrLoc = 3995;
-	};
-	E140B6A60495B20E00AEFBF9 = {
-		fRef = E14343B403DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.m: ICCF_ErrString";
-		rLen = 0;
-		rLoc = 913;
-		rType = 0;
-		vrLen = 1614;
-		vrLoc = 6328;
-	};
-	E140B6A70495B20E00AEFBF9 = {
-		fRef = E12FEC3D04959F5A00AEFBF9;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEServicePrefController.m: hideAll:";
-		rLen = 0;
-		rLoc = 6580;
-		rType = 0;
-		vrLen = 1491;
-		vrLoc = 6296;
-	};
-	E140B6A80495B20E00AEFBF9 = {
-		fRef = E182C8F603DE817F00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.m: 16";
-		rLen = 0;
-		rLoc = 362;
-		rType = 0;
-		vrLen = 2124;
-		vrLoc = 0;
-	};
-	E140B6A90495B20E00AEFBF9 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: ICCF_DEBUG";
-		rLen = 0;
-		rLoc = 283;
-		rType = 0;
-		vrLen = 1576;
-		vrLoc = 219;
-	};
-	E140B6AA0495B20E00AEFBF9 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 38";
-		rLen = 0;
-		rLoc = 1111;
-		rType = 0;
-		vrLen = 1316;
-		vrLoc = 0;
-	};
-	E140B6AB0495B20E00AEFBF9 = {
-		isa = PBXFileReference;
-		name = NSApplication.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSApplication.h;
-		refType = 0;
-	};
-	E1448271041D4AB700050002 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 31";
-		rLen = 0;
-		rLoc = 895;
-		rType = 0;
-		vrLen = 1316;
-		vrLoc = 0;
-	};
-	E1448272041D4AB700050002 = {
-		fRef = E14343B403DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.m: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1470;
-		vrLoc = 0;
-	};
-	E1448273041D4AB700050002 = {
-		fRef = E14343B303DB4CF200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEE.h: 26";
-		rLen = 0;
-		rLoc = 1152;
-		rType = 0;
-		vrLen = 1761;
-		vrLoc = 0;
+	E13762D203EC636D00050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {585, 3219}}";
+			sepNavSelRange = "{6772, 4}";
+			sepNavVisRect = "{{0, 2328}, {585, 566}}";
+		};
+	};
+	E140C475040BB997009FF178 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {735, 6863}}";
+			sepNavSelRange = "{5146, 0}";
+			sepNavVisRect = "{{0, 2980}, {735, 464}}";
+			sepNavWindowFrame = "{{345, 57}, {750, 502}}";
+		};
+	};
+	E14343B303DB4CF200050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {733, 825}}";
+			sepNavSelRange = "{1980, 0}";
+			sepNavVisRect = "{{0, 382}, {733, 443}}";
+			sepNavWindowFrame = "{{38, 304}, {750, 502}}";
+		};
+	};
+	E14343B403DB4CF200050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {609, 8553}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 988}, {609, 566}}";
+			sepNavWindowFrame = "{{287, 136}, {799, 632}}";
+		};
+	};
+	E14343CE03DB66E900050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {571, 566}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {571, 566}}";
+		};
 	};
 	E14994BA03DE8A4D00050002 = {
@@ -6161,54 +1044,4 @@
 		vrLoc = 2804;
 	};
-	E14A9A5304964E8800AEFBF9 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 21";
-		rLen = 0;
-		rLoc = 588;
-		rType = 0;
-		vrLen = 1316;
-		vrLoc = 0;
-	};
-	E14B42B5048879E300C57841 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 25";
-		rLen = 0;
-		rLoc = 722;
-		rType = 0;
-		vrLen = 1316;
-		vrLoc = 0;
-	};
-	E14B42B6048879E300C57841 = {
-		fRef = E182C8F603DE817F00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.m: 14";
-		rLen = 0;
-		rLoc = 303;
-		rType = 0;
-		vrLen = 1587;
-		vrLoc = 0;
-	};
-	E157EE6D03F059E300050002 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: ICCF_DEBUG";
-		rLen = 0;
-		rLoc = 305;
-		rType = 0;
-		vrLen = 1001;
-		vrLoc = 0;
-	};
-	E157EE6F03F059E300050002 = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEMain.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1146;
-		vrLoc = 0;
-	};
 	E15E6A7404188D6900050002 = {
 		activeArgIndex = 0;
@@ -6221,5 +1054,9 @@
 		configStateDict = {
 		};
+		cppStopOnCatchEnabled = 0;
+		cppStopOnThrowEnabled = 0;
+		customDataFormattersEnabled = 1;
 		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
 		dylibVariantSuffix = "";
 		enableDebugStr = 1;
@@ -6228,4 +1065,5 @@
 		isa = PBXExecutable;
 		launchableReference = E15E6A7504188D6900050002;
+		libgmallocEnabled = 0;
 		name = "システム環境設定";
 		shlibInfoDictList = (
@@ -6235,82 +1073,18 @@
 	};
 	E15E6A7504188D6900050002 = {
-		isa = PBXApplicationReference;
+		isa = PBXFileReference;
+		lastKnownFileType = wrapper.application;
 		name = "System Preferences.app";
 		path = "/Applications/System Preferences.app";
 		refType = 0;
-	};
-	E15FA26603F6528F00050002 = {
-		fRef = E1317B2F03DFC4DE00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEETerminal.m: ICCF_LaunchURLFromTerminal";
-		rLen = 0;
-		rLoc = 13733;
-		rType = 0;
-		vrLen = 1355;
-		vrLoc = 1868;
-	};
-	E15FA26803F6528F00050002 = {
-		isa = PBXTargetBookmark;
-		trg = F5CD5E9D02DAE2C901AA4DA5;
-	};
-	E15FA26903F6528F00050002 = {
-		fRef = E1BF15BF03DBBE8900050002;
-		isa = PBXTextBookmark;
-		name = "VERSION: 1";
-		rLen = 0;
-		rLoc = 5;
-		rType = 0;
-		vrLen = 5;
-		vrLoc = 0;
-	};
-	E15FA26A03F6528F00050002 = {
-		fRef = 089C165DFE840E0CC02AAC07;
-		isa = PBXTextBookmark;
-		name = "English: 5";
-		rLen = 0;
-		rLoc = 155;
-		rType = 0;
-		vrLen = 234;
-		vrLoc = 0;
-	};
-	E15FA26B03F6528F00050002 = {
-		fRef = E1CBC99803E7602700050002;
-		isa = PBXTextBookmark;
-		name = "English: 33";
-		rLen = 0;
-		rLoc = 744;
-		rType = 0;
-		vrLen = 1563;
-		vrLoc = 0;
-	};
-	E15FA26C03F6528F00050002 = {
-		fRef = E1BF15BF03DBBE8900050002;
-		isa = PBXTextBookmark;
-		name = "VERSION: 1";
-		rLen = 0;
-		rLoc = 5;
-		rType = 0;
-		vrLen = 5;
-		vrLoc = 0;
-	};
-	E15FA26D03F6528F00050002 = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEMain.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1476;
-		vrLoc = 0;
-	};
-	E15FA26E03F6528F00050002 = {
-		fRef = E135625E03DC9FC200050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.h: ICCF_DEBUG";
-		rLen = 0;
-		rLoc = 305;
-		rType = 0;
-		vrLen = 1334;
-		vrLoc = 0;
+		sourceTree = "<absolute>";
+	};
+	E165AB3603E7A7FC00050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {609, 4759}}";
+			sepNavSelRange = "{9051, 0}";
+			sepNavVisRect = "{{0, 56}, {609, 566}}";
+			sepNavWindowFrame = "{{38, 304}, {750, 502}}";
+		};
 	};
 	E165AB3B03E7B35000050002 = {
@@ -6332,5 +1106,9 @@
 		configStateDict = {
 		};
+		cppStopOnCatchEnabled = 0;
+		cppStopOnThrowEnabled = 0;
+		customDataFormattersEnabled = 1;
 		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
 		dylibVariantSuffix = "";
 		enableDebugStr = 1;
@@ -6339,4 +1117,5 @@
 		isa = PBXExecutable;
 		launchableReference = E165AB3D03E7BCDE00050002;
+		libgmallocEnabled = 0;
 		name = TextEdit;
 		shlibInfoDictList = (
@@ -6346,127 +1125,17 @@
 	};
 	E165AB3D03E7BCDE00050002 = {
-		isa = PBXApplicationReference;
+		isa = PBXFileReference;
+		lastKnownFileType = wrapper.application;
 		name = TextEdit.app;
 		path = /Applications/TextEdit.app;
 		refType = 0;
-	};
-	E1669BDD04133AFF00050002 = {
-		fRef = E1BF15BD03DBBD3E00050002;
-		isa = PBXTextBookmark;
-		name = "package-ICeCoffEE.sh: 35";
-		rLen = 0;
-		rLoc = 1159;
-		rType = 0;
-		vrLen = 1161;
-		vrLoc = 0;
-	};
-	E166E9AF03F2F8F100050002 = {
-		fRef = E1BB268F03DB74B700050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEMenuOnly.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 256;
-		vrLoc = 0;
-	};
-	E166E9B003F2F8F100050002 = {
-		fRef = E1317B2F03DFC4DE00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEETerminal.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1881;
-		vrLoc = 44;
-	};
-	E166E9B103F2F8F100050002 = {
-		isa = PBXTargetBookmark;
-		trg = F5CD5E9D02DAE2C901AA4DA5;
-	};
-	E166ECD903F41C6200050002 = {
-		fRef = E166ECE403F41C6200050002;
-		glyphRangeLength = 485;
-		glyphRangeLocation = 0;
-		isa = PBXDocBookmark;
-		name = "Reading_the_Keyboard.html: PATHDocument...";
-	};
-	E166ECDA03F41C6200050002 = {
-		fRef = E166ECE503F41C6200050002;
-		isa = PBXTextBookmark;
-		name = "Events.h: 338";
-		rLen = 7;
-		rLoc = 11112;
-		rType = 0;
-		vrLen = 1459;
-		vrLoc = 10469;
-	};
-	E166ECDC03F41C6200050002 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 45";
-		rLen = 0;
-		rLoc = 1298;
-		rType = 0;
-		vrLen = 1325;
-		vrLoc = 0;
-	};
-	E166ECDD03F41C6200050002 = {
-		fRef = 089C165DFE840E0CC02AAC07;
-		isa = PBXTextBookmark;
-		name = "English: 6";
-		rLen = 0;
-		rLoc = 234;
-		rType = 0;
-		vrLen = 234;
-		vrLoc = 0;
-	};
-	E166ECDE03F41C6200050002 = {
-		fRef = E182C8F603DE817F00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEShared.m: kIC12PrefExcludedAppSpecifierBundleID";
-		rLen = 0;
-		rLoc = 590;
-		rType = 0;
-		vrLen = 1491;
-		vrLoc = 0;
-	};
-	E166ECDF03F41C6200050002 = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "APEMain.m: excludedAppIndex";
-		rLen = 0;
-		rLoc = 9281;
-		rType = 0;
-		vrLen = 1840;
-		vrLoc = 6796;
-	};
-	E166ECE003F41C6200050002 = {
-		fRef = E166ECE303F41C6200050002;
-		isa = PBXTextBookmark;
-		name = "Events.h: 338";
-		rLen = 7;
-		rLoc = 11112;
-		rType = 0;
-		vrLen = 1459;
-		vrLoc = 10469;
-	};
-	E166ECE303F41C6200050002 = {
-		isa = PBXFileReference;
-		name = Events.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/Events.h;
-		refType = 0;
-	};
-	E166ECE403F41C6200050002 = {
-		isa = PBXFileReference;
-		name = Reading_the_Keyboard.html;
-		path = /Developer/Documentation/Carbon/oss/EventManager/Event_Manager/Functions/Reading_the_Keyboard.html;
-		refType = 0;
-	};
-	E166ECE503F41C6200050002 = {
-		isa = PBXFileReference;
-		name = Events.h;
-		path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Headers/Events.h;
-		refType = 0;
+		sourceTree = "<absolute>";
+	};
+	E169DBA103E4EF5E00050002 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {609, 2897}}";
+			sepNavSelRange = "{1292, 56}";
+			sepNavVisRect = "{{0, 0}, {609, 566}}";
+		};
 	};
 	E169DBA603E4F62F00050002 = {
